# Class VariablesPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.core.variables.VariablesPlugin

All Implemented Interfaces:
  `BundleActivator`

public class VariablesPlugin extends Plugin
The plug-in runtime class for the Core Variables plug-in.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INTERNAL_ERROR`
Status code indicating an unexpected internal error.
`static final String`
`PI_CORE_VARIABLES`
Unique identifier constant (value `"org.eclipse.core.variables"`) for the Core Variables plug-in.
`static final int`
`REFERENCE_CYCLE_ERROR`
Status code indicating a variable reference cycle error.

### Fields inherited from class Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`VariablesPlugin()`
Constructs an instance of this plug-in runtime class.

## Method Summary

Modifier and Type
Method
Description
`static VariablesPlugin`
`getDefault()`
Returns this plug-in instance.
`IStringVariableManager`
`getStringVariableManager()`
Returns the string variable manager.
`static String`
`getUniqueIdentifier()`
Convenience method which returns the unique identifier of this plug-in.
`static void`
`log(Throwable t)`
Logs the specified throwable with this plug-in's log.
`static void`
`log(IStatus status)`
Logs the specified status with this plug-in's log.
`static void`
`logMessage(String message, Throwable throwable)`
Logs the given message with this plug-in's log and the given throwable or `null` if none.

### Methods inherited from class Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INTERNAL_ERROR

public static final int INTERNAL_ERROR
Status code indicating an unexpected internal error.

See Also:
  - Constant Field Values

### REFERENCE_CYCLE_ERROR

public static final int REFERENCE_CYCLE_ERROR
Status code indicating a variable reference cycle error.

See Also:
  - Constant Field Values

### PI_CORE_VARIABLES

public static final String PI_CORE_VARIABLES
Unique identifier constant (value `"org.eclipse.core.variables"`) for the Core Variables plug-in.

See Also:
  - Constant Field Values

## Constructor Details

### VariablesPlugin

public VariablesPlugin()
Constructs an instance of this plug-in runtime class.

An instance of this plug-in runtime class is automatically created when the facilities provided by the Variables plug-in are required. Clients must never explicitly instantiate a plug-in runtime class.

## Method Details

### getDefault

public static VariablesPlugin getDefault()
Returns this plug-in instance.

Returns:
  the single instance of this plug-in runtime class

### log

public static void log(Throwable t)
Logs the specified throwable with this plug-in's log.

Parameters:
  `t` - throwable to log

### logMessage

public static void logMessage(String message, Throwable throwable)
Logs the given message with this plug-in's log and the given throwable or `null` if none.

Parameters:
  `message` - the message to log
  `throwable` - the exception that occurred or `null` if none

### log

public static void log(IStatus status)
Logs the specified status with this plug-in's log.

Parameters:
  `status` - status to log

### getUniqueIdentifier

public static String getUniqueIdentifier()
Convenience method which returns the unique identifier of this plug-in.

Returns:
  the identifier of this plug-in

### getStringVariableManager

public IStringVariableManager getStringVariableManager()
Returns the string variable manager.

Returns:
  the string variable manager